{"bugs":{"url":"https://github.com/SorinGFS/idn-hostname/issues"},"dist":{"shasum":"a4ef9672e34c9f407eedc2fcb401d5d58d5320fb","tarball":"https://registry.npmjs.org/idn-hostname/-/idn-hostname-15.1.12.tgz","fileCount":6,"integrity":"sha512-M7daGSEq9ERqrUQEjMMLxb2FHoGpcjdM+dessa2208JD4mHRFyk3mk20/iZKIVRgiMXcZLE4eIGQCite9ohhqg==","signatures":[{"sig":"MEUCIGZ34nDAVWY5x/jDYcEqbq7FAdw+W3mz7COHTb7Rxf14AiEA/WojCt2cUBp/Jghb5L6HLQMUBfIiRr7eGlKakK2eQ88=","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":205860},"main":"index.js","name":"idn-hostname","type":"commonjs","types":"./index.d.ts","author":{"name":"SorinGFS"},"gitHead":"2e2d7a3cf2bcedfcba61574ec1063a1215a9fb38","license":"MIT","scripts":{"test":"echo \"Error: no test specified\" && exit 1"},"_npmUser":{"name":"soringfs","email":"sorin.gfs@protonmail.com"},"homepage":"https://github.com/SorinGFS/idn-hostname#readme","keywords":["idn-hostname","idna","validation","unicode","mapping"],"repository":{"url":"git+https://github.com/SorinGFS/idn-hostname.git","type":"git"},"_npmVersion":"11.14.1","description":"An internationalized hostname validator as defined by RFC5890, RFC5891, RFC5892, RFC5893, RFC3492 and UTS#46","directories":{},"maintainers":[{"name":"soringfs","email":"sorin.gfs@protonmail.com"}],"_nodeVersion":"24.0.2","dependencies":{"punycode":"^2.3.1"},"_hasShrinkwrap":false,"devDependencies":{"@types/punycode":"^2.1.4"},"_npmOperationalInternal":{"tmp":"tmp/idn-hostname_15.1.12_1787688299539_0.8616165218020344","host":"s3://npm-registry-packages-npm-production"},"_id":"idn-hostname@15.1.12","version":"15.1.12"}